import java.sql.Connection;
import java.sql.SQLException;
import javax.naming.InitialContext;
import javax.naming.NamingException;
import javax.sql.DataSource;

public class DSConnectionHelper {

   public static Connection getConnection(String dataSourceJNDIName) {
    InitialContext initCtx = null;
    try {
      initCtx = new InitialContext();
      /** vyhadme dan referenciu v jdbc subkontexte
      * @param dataSourceJNDIName JNDI referencia na dtov zdroj
      **/ 
      DataSource source = (DataSource)initCtx.lookup("java:comp/env/jdbc/" + dataSourceJNDIName);
      /**
       *  poiadame o konekciu z connection poolu
       **/
      return source.getConnection();
    }
    /**
     * zaobalme JNDI alebo SQL vnimku do systmovej vnimky
     **/          
    catch (NamingException ne) {
      throw new EJBException(ne);
    }
    catch (SQLException se) {
      throw new EJBException(se);
    }
    finally {
      /**
       * uzatvorme InitialContext
       **/             
      try {
        if (initCtx != null) {
          initCtx.close();
        }
      }
      catch (Exception ex) {
        throw new EJBException(ex);
      }
    }
  }
}
